# Kerstezel Server
This is the server component of the Kerstezel project. This renders the public webpage and forwards
the drum commands from our beloved users towards the Santa of IAPC.

## Building (normal)
1. Install dmd and dub from your distro's package manager (or for those unlucky enough to live without 
   a package managers: https://dlang.org/download.html)
2. Make sure openssl development libraries are installed.
3. Run `dub build`. This will automatically download other dependencies and compile them.

## Building (nix)
1. `nix build .`

## Running
1. Run the produced `kerstezel` binary. Note that the built-in file webserver expects to have
   the `statisch` folder in its working directory. The other directories (source, translations, views)
   are only needed at compile time. It will listen on port 8090 for http-requests and
   on port 9305 for the kerstezel-client. If you want to change any of this, edit the program and 
   recompile.
